aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorBodo Möller <bodo@openssl.org>2000-03-10 13:23:20 +0000
committerBodo Möller <bodo@openssl.org>2000-03-10 13:23:20 +0000
commite458958280c2cfaf7d9be4c87fab4a1dd59e02aa (patch)
treee52c0aed2fb546b22721f2ce819580eb4f2badf2 /test
parentce301b6b0b69c98e4c711b09757345a165f25f94 (diff)
downloadopenssl-e458958280c2cfaf7d9be4c87fab4a1dd59e02aa.tar.gz
Always use fixed DH parameters created with 'dhparam -C',
don't dynamically create them. This allows using ssltest for approximate performance comparisons: $ time ./ssltest -num 50 -tls1 -cert ../apps/server2.pem \ [-no_dhe|-dhe1024dsa|-dhe1024] (server2.pem contains a 1024 bit RSA key, the default has only 512 bits.) Note that these timings contain both the server's and the client's computations, they are not a good indicator for server workload in different configurations.
Diffstat (limited to 'test')
-rw-r--r--test/testssl2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/testssl b/test/testssl
index a88e290c57..3db89bdf53 100644
--- a/test/testssl
+++ b/test/testssl
@@ -67,7 +67,7 @@ echo test sslv2/sslv3 w/o DHE via BIO pair
./ssltest -bio_pair -no_dhe || exit 1
echo test sslv2/sslv3 with 1024bit DHE
-./ssltest -bio_pair -dhe1024 -v || exit 1
+./ssltest -bio_pair -dhe1024dsa -v || exit 1
echo test sslv2/sslv3 with server authentication
./ssltest -bio_pair -server_auth -CApath ../certs || exit 1